Bug 1847317 - add WORKDIR to builder in ironic image
Summary: add WORKDIR to builder in ironic image
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cloud Compute
Version: 4.3.z
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.3.z
Assignee: Riccardo Pittau
QA Contact: Amit Ugol
URL:
Whiteboard:
Depends On: 1810144
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-06-16 08:10 UTC by Riccardo Pittau
Modified: 2020-06-22 14:28 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-06-17 07:47:07 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift ironic-image pull 82 None open Bug 1847317: Add WORKDIR to builder 2020-06-22 14:16:39 UTC

Description Riccardo Pittau 2020-06-16 08:10:45 UTC
As an intermittent issue we're seeing sometimes files can't be copied from the builder to the final image in the ironic multi-stage image.
To prevent that we need to add a WORKDIR parameter to the Dockerfile in the builder.


Note You need to log in before you can comment on or make changes to this bug.